// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: rename.proto

#ifndef PROTOBUF_INCLUDED_rename_2eproto
#define PROTOBUF_INCLUDED_rename_2eproto

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3006001
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3006001 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/inlined_string_field.h>
#include <google/protobuf/metadata_lite.h>
#include <google/protobuf/message_lite.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
// @@protoc_insertion_point(includes)
#define PROTOBUF_INTERNAL_EXPORT_protobuf_rename_2eproto 

namespace protobuf_rename_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[3];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
}  // namespace protobuf_rename_2eproto
namespace dfproto {
class RenameBuildingIn;
class RenameBuildingInDefaultTypeInternal;
extern RenameBuildingInDefaultTypeInternal _RenameBuildingIn_default_instance_;
class RenameSquadIn;
class RenameSquadInDefaultTypeInternal;
extern RenameSquadInDefaultTypeInternal _RenameSquadIn_default_instance_;
class RenameUnitIn;
class RenameUnitInDefaultTypeInternal;
extern RenameUnitInDefaultTypeInternal _RenameUnitIn_default_instance_;
}  // namespace dfproto
namespace google {
namespace protobuf {
template<> ::dfproto::RenameBuildingIn* Arena::CreateMaybeMessage<::dfproto::RenameBuildingIn>(Arena*);
template<> ::dfproto::RenameSquadIn* Arena::CreateMaybeMessage<::dfproto::RenameSquadIn>(Arena*);
template<> ::dfproto::RenameUnitIn* Arena::CreateMaybeMessage<::dfproto::RenameUnitIn>(Arena*);
}  // namespace protobuf
}  // namespace google
namespace dfproto {

// ===================================================================

class RenameSquadIn : public ::google::protobuf::MessageLite /* @@protoc_insertion_point(class_definition:dfproto.RenameSquadIn) */ {
 public:
  RenameSquadIn();
  virtual ~RenameSquadIn();

  RenameSquadIn(const RenameSquadIn& from);

  inline RenameSquadIn& operator=(const RenameSquadIn& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  RenameSquadIn(RenameSquadIn&& from) noexcept
    : RenameSquadIn() {
    *this = ::std::move(from);
  }

  inline RenameSquadIn& operator=(RenameSquadIn&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  inline const ::std::string& unknown_fields() const {
    return _internal_metadata_.unknown_fields();
  }
  inline ::std::string* mutable_unknown_fields() {
    return _internal_metadata_.mutable_unknown_fields();
  }

  static const RenameSquadIn& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const RenameSquadIn* internal_default_instance() {
    return reinterpret_cast<const RenameSquadIn*>(
               &_RenameSquadIn_default_instance_);
  }
  static constexpr int kIndexInFileMessages =
    0;

  void Swap(RenameSquadIn* other);
  friend void swap(RenameSquadIn& a, RenameSquadIn& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline RenameSquadIn* New() const final {
    return CreateMaybeMessage<RenameSquadIn>(NULL);
  }

  RenameSquadIn* New(::google::protobuf::Arena* arena) const final {
    return CreateMaybeMessage<RenameSquadIn>(arena);
  }
  void CheckTypeAndMergeFrom(const ::google::protobuf::MessageLite& from)
    final;
  void CopyFrom(const RenameSquadIn& from);
  void MergeFrom(const RenameSquadIn& from);
  void Clear() final;
  bool IsInitialized() const final;

  size_t ByteSizeLong() const final;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) final;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const final;
  void DiscardUnknownFields();
  int GetCachedSize() const final { return _cached_size_.Get(); }

  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const;
  void InternalSwap(RenameSquadIn* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::std::string GetTypeName() const final;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // optional string nickname = 2;
  bool has_nickname() const;
  void clear_nickname();
  static const int kNicknameFieldNumber = 2;
  const ::std::string& nickname() const;
  void set_nickname(const ::std::string& value);
  #if LANG_CXX11
  void set_nickname(::std::string&& value);
  #endif
  void set_nickname(const char* value);
  void set_nickname(const char* value, size_t size);
  ::std::string* mutable_nickname();
  ::std::string* release_nickname();
  void set_allocated_nickname(::std::string* nickname);

  // optional string alias = 3;
  bool has_alias() const;
  void clear_alias();
  static const int kAliasFieldNumber = 3;
  const ::std::string& alias() const;
  void set_alias(const ::std::string& value);
  #if LANG_CXX11
  void set_alias(::std::string&& value);
  #endif
  void set_alias(const char* value);
  void set_alias(const char* value, size_t size);
  ::std::string* mutable_alias();
  ::std::string* release_alias();
  void set_allocated_alias(::std::string* alias);

  // required int32 squad_id = 1;
  bool has_squad_id() const;
  void clear_squad_id();
  static const int kSquadIdFieldNumber = 1;
  ::google::protobuf::int32 squad_id() const;
  void set_squad_id(::google::protobuf::int32 value);

  // @@protoc_insertion_point(class_scope:dfproto.RenameSquadIn)
 private:
  void set_has_squad_id();
  void clear_has_squad_id();
  void set_has_nickname();
  void clear_has_nickname();
  void set_has_alias();
  void clear_has_alias();

  ::google::protobuf::internal::InternalMetadataWithArenaLite _internal_metadata_;
  ::google::protobuf::internal::HasBits<1> _has_bits_;
  mutable ::google::protobuf::internal::CachedSize _cached_size_;
  ::google::protobuf::internal::ArenaStringPtr nickname_;
  ::google::protobuf::internal::ArenaStringPtr alias_;
  ::google::protobuf::int32 squad_id_;
  friend struct ::protobuf_rename_2eproto::TableStruct;
};
// -------------------------------------------------------------------

class RenameUnitIn : public ::google::protobuf::MessageLite /* @@protoc_insertion_point(class_definition:dfproto.RenameUnitIn) */ {
 public:
  RenameUnitIn();
  virtual ~RenameUnitIn();

  RenameUnitIn(const RenameUnitIn& from);

  inline RenameUnitIn& operator=(const RenameUnitIn& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  RenameUnitIn(RenameUnitIn&& from) noexcept
    : RenameUnitIn() {
    *this = ::std::move(from);
  }

  inline RenameUnitIn& operator=(RenameUnitIn&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  inline const ::std::string& unknown_fields() const {
    return _internal_metadata_.unknown_fields();
  }
  inline ::std::string* mutable_unknown_fields() {
    return _internal_metadata_.mutable_unknown_fields();
  }

  static const RenameUnitIn& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const RenameUnitIn* internal_default_instance() {
    return reinterpret_cast<const RenameUnitIn*>(
               &_RenameUnitIn_default_instance_);
  }
  static constexpr int kIndexInFileMessages =
    1;

  void Swap(RenameUnitIn* other);
  friend void swap(RenameUnitIn& a, RenameUnitIn& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline RenameUnitIn* New() const final {
    return CreateMaybeMessage<RenameUnitIn>(NULL);
  }

  RenameUnitIn* New(::google::protobuf::Arena* arena) const final {
    return CreateMaybeMessage<RenameUnitIn>(arena);
  }
  void CheckTypeAndMergeFrom(const ::google::protobuf::MessageLite& from)
    final;
  void CopyFrom(const RenameUnitIn& from);
  void MergeFrom(const RenameUnitIn& from);
  void Clear() final;
  bool IsInitialized() const final;

  size_t ByteSizeLong() const final;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) final;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const final;
  void DiscardUnknownFields();
  int GetCachedSize() const final { return _cached_size_.Get(); }

  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const;
  void InternalSwap(RenameUnitIn* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::std::string GetTypeName() const final;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // optional string nickname = 2;
  bool has_nickname() const;
  void clear_nickname();
  static const int kNicknameFieldNumber = 2;
  const ::std::string& nickname() const;
  void set_nickname(const ::std::string& value);
  #if LANG_CXX11
  void set_nickname(::std::string&& value);
  #endif
  void set_nickname(const char* value);
  void set_nickname(const char* value, size_t size);
  ::std::string* mutable_nickname();
  ::std::string* release_nickname();
  void set_allocated_nickname(::std::string* nickname);

  // optional string profession = 3;
  bool has_profession() const;
  void clear_profession();
  static const int kProfessionFieldNumber = 3;
  const ::std::string& profession() const;
  void set_profession(const ::std::string& value);
  #if LANG_CXX11
  void set_profession(::std::string&& value);
  #endif
  void set_profession(const char* value);
  void set_profession(const char* value, size_t size);
  ::std::string* mutable_profession();
  ::std::string* release_profession();
  void set_allocated_profession(::std::string* profession);

  // required int32 unit_id = 1;
  bool has_unit_id() const;
  void clear_unit_id();
  static const int kUnitIdFieldNumber = 1;
  ::google::protobuf::int32 unit_id() const;
  void set_unit_id(::google::protobuf::int32 value);

  // @@protoc_insertion_point(class_scope:dfproto.RenameUnitIn)
 private:
  void set_has_unit_id();
  void clear_has_unit_id();
  void set_has_nickname();
  void clear_has_nickname();
  void set_has_profession();
  void clear_has_profession();

  ::google::protobuf::internal::InternalMetadataWithArenaLite _internal_metadata_;
  ::google::protobuf::internal::HasBits<1> _has_bits_;
  mutable ::google::protobuf::internal::CachedSize _cached_size_;
  ::google::protobuf::internal::ArenaStringPtr nickname_;
  ::google::protobuf::internal::ArenaStringPtr profession_;
  ::google::protobuf::int32 unit_id_;
  friend struct ::protobuf_rename_2eproto::TableStruct;
};
// -------------------------------------------------------------------

class RenameBuildingIn : public ::google::protobuf::MessageLite /* @@protoc_insertion_point(class_definition:dfproto.RenameBuildingIn) */ {
 public:
  RenameBuildingIn();
  virtual ~RenameBuildingIn();

  RenameBuildingIn(const RenameBuildingIn& from);

  inline RenameBuildingIn& operator=(const RenameBuildingIn& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  RenameBuildingIn(RenameBuildingIn&& from) noexcept
    : RenameBuildingIn() {
    *this = ::std::move(from);
  }

  inline RenameBuildingIn& operator=(RenameBuildingIn&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  inline const ::std::string& unknown_fields() const {
    return _internal_metadata_.unknown_fields();
  }
  inline ::std::string* mutable_unknown_fields() {
    return _internal_metadata_.mutable_unknown_fields();
  }

  static const RenameBuildingIn& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const RenameBuildingIn* internal_default_instance() {
    return reinterpret_cast<const RenameBuildingIn*>(
               &_RenameBuildingIn_default_instance_);
  }
  static constexpr int kIndexInFileMessages =
    2;

  void Swap(RenameBuildingIn* other);
  friend void swap(RenameBuildingIn& a, RenameBuildingIn& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline RenameBuildingIn* New() const final {
    return CreateMaybeMessage<RenameBuildingIn>(NULL);
  }

  RenameBuildingIn* New(::google::protobuf::Arena* arena) const final {
    return CreateMaybeMessage<RenameBuildingIn>(arena);
  }
  void CheckTypeAndMergeFrom(const ::google::protobuf::MessageLite& from)
    final;
  void CopyFrom(const RenameBuildingIn& from);
  void MergeFrom(const RenameBuildingIn& from);
  void Clear() final;
  bool IsInitialized() const final;

  size_t ByteSizeLong() const final;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) final;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const final;
  void DiscardUnknownFields();
  int GetCachedSize() const final { return _cached_size_.Get(); }

  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const;
  void InternalSwap(RenameBuildingIn* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::std::string GetTypeName() const final;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // optional string name = 2;
  bool has_name() const;
  void clear_name();
  static const int kNameFieldNumber = 2;
  const ::std::string& name() const;
  void set_name(const ::std::string& value);
  #if LANG_CXX11
  void set_name(::std::string&& value);
  #endif
  void set_name(const char* value);
  void set_name(const char* value, size_t size);
  ::std::string* mutable_name();
  ::std::string* release_name();
  void set_allocated_name(::std::string* name);

  // required int32 building_id = 1;
  bool has_building_id() const;
  void clear_building_id();
  static const int kBuildingIdFieldNumber = 1;
  ::google::protobuf::int32 building_id() const;
  void set_building_id(::google::protobuf::int32 value);

  // @@protoc_insertion_point(class_scope:dfproto.RenameBuildingIn)
 private:
  void set_has_building_id();
  void clear_has_building_id();
  void set_has_name();
  void clear_has_name();

  ::google::protobuf::internal::InternalMetadataWithArenaLite _internal_metadata_;
  ::google::protobuf::internal::HasBits<1> _has_bits_;
  mutable ::google::protobuf::internal::CachedSize _cached_size_;
  ::google::protobuf::internal::ArenaStringPtr name_;
  ::google::protobuf::int32 building_id_;
  friend struct ::protobuf_rename_2eproto::TableStruct;
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// RenameSquadIn

// required int32 squad_id = 1;
inline bool RenameSquadIn::has_squad_id() const {
  return (_has_bits_[0] & 0x00000004u) != 0;
}
inline void RenameSquadIn::set_has_squad_id() {
  _has_bits_[0] |= 0x00000004u;
}
inline void RenameSquadIn::clear_has_squad_id() {
  _has_bits_[0] &= ~0x00000004u;
}
inline void RenameSquadIn::clear_squad_id() {
  squad_id_ = 0;
  clear_has_squad_id();
}
inline ::google::protobuf::int32 RenameSquadIn::squad_id() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameSquadIn.squad_id)
  return squad_id_;
}
inline void RenameSquadIn::set_squad_id(::google::protobuf::int32 value) {
  set_has_squad_id();
  squad_id_ = value;
  // @@protoc_insertion_point(field_set:dfproto.RenameSquadIn.squad_id)
}

// optional string nickname = 2;
inline bool RenameSquadIn::has_nickname() const {
  return (_has_bits_[0] & 0x00000001u) != 0;
}
inline void RenameSquadIn::set_has_nickname() {
  _has_bits_[0] |= 0x00000001u;
}
inline void RenameSquadIn::clear_has_nickname() {
  _has_bits_[0] &= ~0x00000001u;
}
inline void RenameSquadIn::clear_nickname() {
  nickname_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_nickname();
}
inline const ::std::string& RenameSquadIn::nickname() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameSquadIn.nickname)
  return nickname_.GetNoArena();
}
inline void RenameSquadIn::set_nickname(const ::std::string& value) {
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:dfproto.RenameSquadIn.nickname)
}
#if LANG_CXX11
inline void RenameSquadIn::set_nickname(::std::string&& value) {
  set_has_nickname();
  nickname_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:dfproto.RenameSquadIn.nickname)
}
#endif
inline void RenameSquadIn::set_nickname(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:dfproto.RenameSquadIn.nickname)
}
inline void RenameSquadIn::set_nickname(const char* value, size_t size) {
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:dfproto.RenameSquadIn.nickname)
}
inline ::std::string* RenameSquadIn::mutable_nickname() {
  set_has_nickname();
  // @@protoc_insertion_point(field_mutable:dfproto.RenameSquadIn.nickname)
  return nickname_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* RenameSquadIn::release_nickname() {
  // @@protoc_insertion_point(field_release:dfproto.RenameSquadIn.nickname)
  if (!has_nickname()) {
    return NULL;
  }
  clear_has_nickname();
  return nickname_.ReleaseNonDefaultNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void RenameSquadIn::set_allocated_nickname(::std::string* nickname) {
  if (nickname != NULL) {
    set_has_nickname();
  } else {
    clear_has_nickname();
  }
  nickname_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), nickname);
  // @@protoc_insertion_point(field_set_allocated:dfproto.RenameSquadIn.nickname)
}

// optional string alias = 3;
inline bool RenameSquadIn::has_alias() const {
  return (_has_bits_[0] & 0x00000002u) != 0;
}
inline void RenameSquadIn::set_has_alias() {
  _has_bits_[0] |= 0x00000002u;
}
inline void RenameSquadIn::clear_has_alias() {
  _has_bits_[0] &= ~0x00000002u;
}
inline void RenameSquadIn::clear_alias() {
  alias_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_alias();
}
inline const ::std::string& RenameSquadIn::alias() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameSquadIn.alias)
  return alias_.GetNoArena();
}
inline void RenameSquadIn::set_alias(const ::std::string& value) {
  set_has_alias();
  alias_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:dfproto.RenameSquadIn.alias)
}
#if LANG_CXX11
inline void RenameSquadIn::set_alias(::std::string&& value) {
  set_has_alias();
  alias_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:dfproto.RenameSquadIn.alias)
}
#endif
inline void RenameSquadIn::set_alias(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_alias();
  alias_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:dfproto.RenameSquadIn.alias)
}
inline void RenameSquadIn::set_alias(const char* value, size_t size) {
  set_has_alias();
  alias_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:dfproto.RenameSquadIn.alias)
}
inline ::std::string* RenameSquadIn::mutable_alias() {
  set_has_alias();
  // @@protoc_insertion_point(field_mutable:dfproto.RenameSquadIn.alias)
  return alias_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* RenameSquadIn::release_alias() {
  // @@protoc_insertion_point(field_release:dfproto.RenameSquadIn.alias)
  if (!has_alias()) {
    return NULL;
  }
  clear_has_alias();
  return alias_.ReleaseNonDefaultNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void RenameSquadIn::set_allocated_alias(::std::string* alias) {
  if (alias != NULL) {
    set_has_alias();
  } else {
    clear_has_alias();
  }
  alias_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), alias);
  // @@protoc_insertion_point(field_set_allocated:dfproto.RenameSquadIn.alias)
}

// -------------------------------------------------------------------

// RenameUnitIn

// required int32 unit_id = 1;
inline bool RenameUnitIn::has_unit_id() const {
  return (_has_bits_[0] & 0x00000004u) != 0;
}
inline void RenameUnitIn::set_has_unit_id() {
  _has_bits_[0] |= 0x00000004u;
}
inline void RenameUnitIn::clear_has_unit_id() {
  _has_bits_[0] &= ~0x00000004u;
}
inline void RenameUnitIn::clear_unit_id() {
  unit_id_ = 0;
  clear_has_unit_id();
}
inline ::google::protobuf::int32 RenameUnitIn::unit_id() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameUnitIn.unit_id)
  return unit_id_;
}
inline void RenameUnitIn::set_unit_id(::google::protobuf::int32 value) {
  set_has_unit_id();
  unit_id_ = value;
  // @@protoc_insertion_point(field_set:dfproto.RenameUnitIn.unit_id)
}

// optional string nickname = 2;
inline bool RenameUnitIn::has_nickname() const {
  return (_has_bits_[0] & 0x00000001u) != 0;
}
inline void RenameUnitIn::set_has_nickname() {
  _has_bits_[0] |= 0x00000001u;
}
inline void RenameUnitIn::clear_has_nickname() {
  _has_bits_[0] &= ~0x00000001u;
}
inline void RenameUnitIn::clear_nickname() {
  nickname_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_nickname();
}
inline const ::std::string& RenameUnitIn::nickname() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameUnitIn.nickname)
  return nickname_.GetNoArena();
}
inline void RenameUnitIn::set_nickname(const ::std::string& value) {
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:dfproto.RenameUnitIn.nickname)
}
#if LANG_CXX11
inline void RenameUnitIn::set_nickname(::std::string&& value) {
  set_has_nickname();
  nickname_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:dfproto.RenameUnitIn.nickname)
}
#endif
inline void RenameUnitIn::set_nickname(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:dfproto.RenameUnitIn.nickname)
}
inline void RenameUnitIn::set_nickname(const char* value, size_t size) {
  set_has_nickname();
  nickname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:dfproto.RenameUnitIn.nickname)
}
inline ::std::string* RenameUnitIn::mutable_nickname() {
  set_has_nickname();
  // @@protoc_insertion_point(field_mutable:dfproto.RenameUnitIn.nickname)
  return nickname_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* RenameUnitIn::release_nickname() {
  // @@protoc_insertion_point(field_release:dfproto.RenameUnitIn.nickname)
  if (!has_nickname()) {
    return NULL;
  }
  clear_has_nickname();
  return nickname_.ReleaseNonDefaultNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void RenameUnitIn::set_allocated_nickname(::std::string* nickname) {
  if (nickname != NULL) {
    set_has_nickname();
  } else {
    clear_has_nickname();
  }
  nickname_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), nickname);
  // @@protoc_insertion_point(field_set_allocated:dfproto.RenameUnitIn.nickname)
}

// optional string profession = 3;
inline bool RenameUnitIn::has_profession() const {
  return (_has_bits_[0] & 0x00000002u) != 0;
}
inline void RenameUnitIn::set_has_profession() {
  _has_bits_[0] |= 0x00000002u;
}
inline void RenameUnitIn::clear_has_profession() {
  _has_bits_[0] &= ~0x00000002u;
}
inline void RenameUnitIn::clear_profession() {
  profession_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_profession();
}
inline const ::std::string& RenameUnitIn::profession() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameUnitIn.profession)
  return profession_.GetNoArena();
}
inline void RenameUnitIn::set_profession(const ::std::string& value) {
  set_has_profession();
  profession_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:dfproto.RenameUnitIn.profession)
}
#if LANG_CXX11
inline void RenameUnitIn::set_profession(::std::string&& value) {
  set_has_profession();
  profession_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:dfproto.RenameUnitIn.profession)
}
#endif
inline void RenameUnitIn::set_profession(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_profession();
  profession_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:dfproto.RenameUnitIn.profession)
}
inline void RenameUnitIn::set_profession(const char* value, size_t size) {
  set_has_profession();
  profession_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:dfproto.RenameUnitIn.profession)
}
inline ::std::string* RenameUnitIn::mutable_profession() {
  set_has_profession();
  // @@protoc_insertion_point(field_mutable:dfproto.RenameUnitIn.profession)
  return profession_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* RenameUnitIn::release_profession() {
  // @@protoc_insertion_point(field_release:dfproto.RenameUnitIn.profession)
  if (!has_profession()) {
    return NULL;
  }
  clear_has_profession();
  return profession_.ReleaseNonDefaultNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void RenameUnitIn::set_allocated_profession(::std::string* profession) {
  if (profession != NULL) {
    set_has_profession();
  } else {
    clear_has_profession();
  }
  profession_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), profession);
  // @@protoc_insertion_point(field_set_allocated:dfproto.RenameUnitIn.profession)
}

// -------------------------------------------------------------------

// RenameBuildingIn

// required int32 building_id = 1;
inline bool RenameBuildingIn::has_building_id() const {
  return (_has_bits_[0] & 0x00000002u) != 0;
}
inline void RenameBuildingIn::set_has_building_id() {
  _has_bits_[0] |= 0x00000002u;
}
inline void RenameBuildingIn::clear_has_building_id() {
  _has_bits_[0] &= ~0x00000002u;
}
inline void RenameBuildingIn::clear_building_id() {
  building_id_ = 0;
  clear_has_building_id();
}
inline ::google::protobuf::int32 RenameBuildingIn::building_id() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameBuildingIn.building_id)
  return building_id_;
}
inline void RenameBuildingIn::set_building_id(::google::protobuf::int32 value) {
  set_has_building_id();
  building_id_ = value;
  // @@protoc_insertion_point(field_set:dfproto.RenameBuildingIn.building_id)
}

// optional string name = 2;
inline bool RenameBuildingIn::has_name() const {
  return (_has_bits_[0] & 0x00000001u) != 0;
}
inline void RenameBuildingIn::set_has_name() {
  _has_bits_[0] |= 0x00000001u;
}
inline void RenameBuildingIn::clear_has_name() {
  _has_bits_[0] &= ~0x00000001u;
}
inline void RenameBuildingIn::clear_name() {
  name_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_name();
}
inline const ::std::string& RenameBuildingIn::name() const {
  // @@protoc_insertion_point(field_get:dfproto.RenameBuildingIn.name)
  return name_.GetNoArena();
}
inline void RenameBuildingIn::set_name(const ::std::string& value) {
  set_has_name();
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:dfproto.RenameBuildingIn.name)
}
#if LANG_CXX11
inline void RenameBuildingIn::set_name(::std::string&& value) {
  set_has_name();
  name_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:dfproto.RenameBuildingIn.name)
}
#endif
inline void RenameBuildingIn::set_name(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_name();
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:dfproto.RenameBuildingIn.name)
}
inline void RenameBuildingIn::set_name(const char* value, size_t size) {
  set_has_name();
  name_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:dfproto.RenameBuildingIn.name)
}
inline ::std::string* RenameBuildingIn::mutable_name() {
  set_has_name();
  // @@protoc_insertion_point(field_mutable:dfproto.RenameBuildingIn.name)
  return name_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* RenameBuildingIn::release_name() {
  // @@protoc_insertion_point(field_release:dfproto.RenameBuildingIn.name)
  if (!has_name()) {
    return NULL;
  }
  clear_has_name();
  return name_.ReleaseNonDefaultNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void RenameBuildingIn::set_allocated_name(::std::string* name) {
  if (name != NULL) {
    set_has_name();
  } else {
    clear_has_name();
  }
  name_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), name);
  // @@protoc_insertion_point(field_set_allocated:dfproto.RenameBuildingIn.name)
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------

// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace dfproto

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_INCLUDED_rename_2eproto
